MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030221Open CASCADE[OCCT] OCCT:Data Exchangepublic2018-10-09 10:512018-10-14 13:56
Reporterskl 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.3.1 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030221: Data Exchange - VRML is exported with inversed normals
DescriptionResult after writing model from attached file (vmt01b.xbf) to VRML is invalid. It can be detected after show in the viewer (see attached img_bad.png).
Steps To ReproducePerform following Draw commands:
pload XDE VISUALIZATION
XOpen vmt01b.xbf D
XShow D
vfit
vsetdispmode 1
vclose
WriteVrml D vmt01br.wrl
loadvrml a vmt01br.wrl

vinit View1
vdisplay -dispMode 1 a
vfit
TagsNo tags attached.
Test case numberbugs xde bug30221
Attached Filespng file icon img_bad.png (10,108 bytes) 2018-10-09 10:51
? file icon vmt01b.xbf (114,714 bytes) 2018-10-09 10:52

- Relationships
related to 0030115verifiedbugmaster Data Exchange - Implementation of import from XCAF to VRML. 

-  Notes
(0079813)
git (administrator)
2018-10-09 10:59

Branch CR30221 has been created by skl.

SHA-1: 1a75d5cbbfb0043b1bbf9164208428f90730c00e


Detailed log of new commits:

Author: skl
Date: Tue Oct 9 10:57:42 2018 +0300

    0030221: Invalid writing to VRML format.
(0079814)
git (administrator)
2018-10-09 11:10

Branch CR30221 has been updated forcibly by skl.

SHA-1: fbbc9640ec3d1c7af823936a3f51bef6c4db079b
(0079823)
skl (developer)
2018-10-09 15:30

Branch CR30221 is ready to be reviewed.

Result of tests:
http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR30221-master-SKL/view/COMPARE/ [^]
(0079831)
gka (developer)
2018-10-09 19:56

Branch CR30221 was reviewed
(0079860)
git (administrator)
2018-10-10 17:22

Branch CR30221 has been updated by apn.

SHA-1: 9944c995a26b72dca6c9b04e73c978a39f8c3d1e


Detailed log of new commits:

Author: apn
Date: Wed Oct 10 17:21:01 2018 +0300

    Added test case bugs/xde/bug30221

(0079864)
apn (administrator)
2018-10-10 18:39

Combination -
OCCT branch : CR30221 SHA - fbbc9640ec3d1c7af823936a3f51bef6c4db079b
Products branch : master SHA - fa672296ba29ad12e59ba21c0c612c412b808a5d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

Test case:
bugs xde bug30221 - OK

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17403.50999999979 / 17385.999999999854 [+0.10%]
Products
Total CPU difference: 7440.310000000076 / 7445.680000000064 [-0.07%]
Windows-64-VC14:
OCCT
Total CPU difference: 17432.768547798503 / 17457.853508598404 [-0.14%]
Products
Total CPU difference: 8384.80414839999 / 8343.292282299992 [+0.50%]

Image differences :
There are following differences in images:
IMAGE bugs stlvrml bug25050: bug25050_2.png differs
http://occt-tests/CR30221-master-SKL-OCCT/Debian80-64/diff-Debian80-64-image.html [^]
http://occt-tests/CR30221-master-SKL-OCCT/Windows-64-VC14/diff-Windows-64-VC14-image.html [^]

Memory differences :
No differences that require special attention

Dear skl, could you please validate test case and check difference in image bug25050.
(0079871)
skl (developer)
2018-10-11 08:32

Test for bug is OK.
Mentioned differences are improvement.
(0079931)
git (administrator)
2018-10-14 13:56

Branch CR30221 has been deleted by inv.

SHA-1: 9944c995a26b72dca6c9b04e73c978a39f8c3d1e

- Related Changesets
occt: master 9b9f2fe9
Timestamp: 2018-10-09 07:57:42
Author: skl
Committer: apn
Details ] Diff ]
0030221: Data Exchange - VRML is exported with inversed normals

Added test case bugs/xde/bug30221
mod - src/VrmlData/VrmlData_ShapeConvert.cxx Diff ] File ]
add - tests/bugs/xde/bug30221 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-10-09 10:51 skl New Issue
2018-10-09 10:51 skl Assigned To => gka
2018-10-09 10:51 skl File Added: img_bad.png
2018-10-09 10:52 skl File Added: vmt01b.xbf
2018-10-09 10:59 git Note Added: 0079813
2018-10-09 11:02 kgv Summary Invalid writing to VRML format. => Data Exchange - VRML is exported with inversed normals
2018-10-09 11:02 kgv Steps to Reproduce Updated View Revisions
2018-10-09 11:02 kgv Relationship added related to 0030115
2018-10-09 11:04 kgv Product Version => 6.3.1
2018-10-09 11:10 git Note Added: 0079814
2018-10-09 11:49 gka Assigned To gka => skl
2018-10-09 15:30 skl Note Added: 0079823
2018-10-09 15:31 skl Assigned To skl => gka
2018-10-09 15:31 skl Status new => resolved
2018-10-09 19:56 gka Note Added: 0079831
2018-10-09 19:56 gka Assigned To gka => bugmaster
2018-10-09 19:56 gka Status resolved => reviewed
2018-10-10 17:22 git Note Added: 0079860
2018-10-10 18:39 apn Test case number => bugs xde bug30221
2018-10-10 18:39 apn Note Added: 0079864
2018-10-10 18:39 apn Status reviewed => feedback
2018-10-10 18:39 apn Assigned To bugmaster => skl
2018-10-11 08:32 skl Note Added: 0079871
2018-10-11 08:33 skl Assigned To skl => bugmaster
2018-10-11 08:33 skl Status feedback => reviewed
2018-10-11 10:34 apn Status reviewed => tested
2018-10-13 16:01 apn Changeset attached => occt master 9b9f2fe9
2018-10-13 16:01 apn Assigned To bugmaster => apn
2018-10-13 16:01 apn Status tested => verified
2018-10-13 16:01 apn Resolution open => fixed
2018-10-14 13:56 git Note Added: 0079931


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker